#!/usr/bin/perl -w
require strict;

while(<>)
{
    if(/Refine: (\S+);\s+grid L-2\s+error: (\S+)\s+grid L-inf error: (\S+)\s+particle L-2\s+error: (\S+)\s+particle L-inf error: (\S+)/)
    {
        print("\\hline\n");
        printf("%2d & \$\\num{%.2e}\$ & & \$\\num{%.2e}\$ & & \$\\num{%.2e}\$ & & \$\\num{%.2e}\$ & \\\\\n",$1*32,$2,$3,$4,$5);
    }
    if(/Refine: (\S+);\s+grid L-2\s+error: (\S+) Order: (\S+);\s+grid L-inf error: (\S+) Order: (\S+); particle L-2\s+error: (\S+) Order: (\S+); particle L-inf error: (\S+) Order: (\S+);/)
    {
        print("\\hline\n");
        printf("%2d & \$\\num{%.2e}\$ & %.2f & \$\\num{%.2e}\$ & %.2f & \$\\num{%.2e}\$ & %.2f & \$\\num{%.2e}\$ & %.2f \\\\\n",$1*32,$2,$3,$4,$5,$6,$7,$8,$9);
    }
}                               # 
